#!/bin/bash

speed="-0.5"

cur_prof=$(dconf read /org/gnome/desktop/peripherals/mouse/accel-profile)
cur_speed=$(dconf read /org/gnome/desktop/peripherals/mouse/speed)

if [[ "$cur_prof" == "'default'" ]]; then
        dconf write /org/gnome/desktop/peripherals/mouse/accel-profile "'flat'"
else
        dconf write /org/gnome/desktop/peripherals/mouse/accel-profile "'default'"
fi

if [[ "$cur_speed" != "$speed" ]]; then
        dconf write /org/gnome/desktop/peripherals/mouse/speed -0.5
else
        dconf write /org/gnome/desktop/peripherals/mouse/speed 0
fi

cur_prof=$(dconf read /org/gnome/desktop/peripherals/mouse/accel-profile)
cur_speed=$(dconf read /org/gnome/desktop/peripherals/mouse/speed)

notify-send "Mouse speed settings changed to $cur_speed, profile $cur_prof"